The officially official Devuan Forum!

You are not logged in.

#1 2021-04-29 15:08:44

Altoid
Member
Registered: 2017-05-07
Posts: 761  

[SOLVED] Piper and ratbag

Hello:

Finally got around to purchasing a trackball.
Not the one I wanted as it is not manufactured anymore.
But this one seems a reasonable compromise on price/quality. (LT M575)

We'll see if I can get used to using it, works with thumb instead of fingers.
Muscle memory is a mean thing ...

To configure DPI, buttons etc. I downloaded an application called piper which depends on ratbagd >=0.13
But the version in the repository is 0.9.905-1.     

groucho@devuan:~$ sudo apt install piper 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 piper : Depends: ratbagd (>= 0.13)
E: Unable to correct problems, you have held broken packages.
groucho@devuan:~$ 

Is there anything I can do about this?

Thanks in advance,

A.

Offline

#2 2021-04-29 16:49:51

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 1,597  
Website

Re: [SOLVED] Piper and ratbag

From where did you attempt to obtain the piper package?

It is available from beowulf-backports, the version there depends on the ratbagd package also from beowulf-backports and so should be installable.


Black Lives Matter

Offline

#3 2021-04-29 19:01:50

Altoid
Member
Registered: 2017-05-07
Posts: 761  

Re: [SOLVED] Piper and ratbag

Hello:

Head_on_a_Stick wrote:

... where did you attempt to obtain the piper package?

Piper 0.1-1-bpo+1 (stable-backports)
0.15-1-bpo10+1 (stable-backports)

and

0.9.905-1 (stable)

... but for some reason apt pulls in 0.9.905-1 (stable) when the dependency is the higher version.

Must be doing something wrong. (?)

Thanks for your input.

Best,

A.

Offline

#4 2021-04-29 19:21:09

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 1,597  
Website

Re: [SOLVED] Piper and ratbag

Can we see

apt policy
apt policy piper
apt install -s piper/stable-backports

Black Lives Matter

Offline

#5 2021-04-29 19:37:06

Altoid
Member
Registered: 2017-05-07
Posts: 761  

Re: [SOLVED] Piper and ratbag

Head_on_a_Stick wrote:

Can we see ...

groucho@devuan:~$ apt policy
Package files:
 100 /var/lib/dpkg/status
     release a=now
 100 http://deb.devuan.org/merged beowulf-backports/main i386 Packages
     release v=3.0.0,o=Devuan Backports,a=stable-backports,n=beowulf-backports,l=Devuan Backports,c=main,b=i386
     origin deb.devuan.org
 100 http://deb.devuan.org/merged beowulf-backports/main amd64 Packages
     release v=3.0.0,o=Devuan Backports,a=stable-backports,n=beowulf-backports,l=Devuan Backports,c=main,b=amd64
     origin deb.devuan.org
 100 http://deb.devuan.org/merged beowulf-backports/contrib i386 Packages
     release v=3.0.0,o=Devuan Backports,a=stable-backports,n=beowulf-backports,l=Devuan Backports,c=contrib,b=i386
     origin deb.devuan.org
 100 http://deb.devuan.org/merged beowulf-backports/contrib amd64 Packages
     release v=3.0.0,o=Devuan Backports,a=stable-backports,n=beowulf-backports,l=Devuan Backports,c=contrib,b=amd64
     origin deb.devuan.org
 100 http://deb.devuan.org/merged beowulf-backports/non-free i386 Packages
     release v=3.0.0,o=Devuan Backports,a=stable-backports,n=beowulf-backports,l=Devuan Backports,c=non-free,b=i386
     origin deb.devuan.org
 100 http://deb.devuan.org/merged beowulf-backports/non-free amd64 Packages
     release v=3.0.0,o=Devuan Backports,a=stable-backports,n=beowulf-backports,l=Devuan Backports,c=non-free,b=amd64
     origin deb.devuan.org
 500 http://deb.devuan.org/merged beowulf-updates/main i386 Packages
     release v=3.0.0,o=Devuan,a=stable-updates,n=beowulf-updates,l=Devuan,c=main,b=i386
     origin deb.devuan.org
 500 http://deb.devuan.org/merged beowulf-updates/main amd64 Packages
     release v=3.0.0,o=Devuan,a=stable-updates,n=beowulf-updates,l=Devuan,c=main,b=amd64
     origin deb.devuan.org
 500 http://deb.devuan.org/merged beowulf-security/non-free i386 Packages
     release v=3.0.0,o=Devuan,a=stable-security,n=beowulf-security,l=Devuan-Security,c=non-free,b=i386
     origin deb.devuan.org
 500 http://deb.devuan.org/merged beowulf-security/non-free amd64 Packages
     release v=3.0.0,o=Devuan,a=stable-security,n=beowulf-security,l=Devuan-Security,c=non-free,b=amd64
     origin deb.devuan.org
 500 http://deb.devuan.org/merged beowulf-security/main i386 Packages
     release v=3.0.0,o=Devuan,a=stable-security,n=beowulf-security,l=Devuan-Security,c=main,b=i386
     origin deb.devuan.org
 500 http://deb.devuan.org/merged beowulf-security/main amd64 Packages
     release v=3.0.0,o=Devuan,a=stable-security,n=beowulf-security,l=Devuan-Security,c=main,b=amd64
     origin deb.devuan.org
 500 http://deb.devuan.org/merged beowulf/non-free i386 Packages
     release v=3.0,o=Devuan,a=stable,n=beowulf,l=Devuan,c=non-free,b=i386
     origin deb.devuan.org
 500 http://deb.devuan.org/merged beowulf/non-free amd64 Packages
     release v=3.0,o=Devuan,a=stable,n=beowulf,l=Devuan,c=non-free,b=amd64
     origin deb.devuan.org
 500 http://deb.devuan.org/merged beowulf/contrib i386 Packages
     release v=3.0,o=Devuan,a=stable,n=beowulf,l=Devuan,c=contrib,b=i386
     origin deb.devuan.org
 500 http://deb.devuan.org/merged beowulf/contrib amd64 Packages
     release v=3.0,o=Devuan,a=stable,n=beowulf,l=Devuan,c=contrib,b=amd64
     origin deb.devuan.org
 500 http://deb.devuan.org/merged beowulf/main i386 Packages
     release v=3.0,o=Devuan,a=stable,n=beowulf,l=Devuan,c=main,b=i386
     origin deb.devuan.org
 500 http://deb.devuan.org/merged beowulf/main amd64 Packages
     release v=3.0,o=Devuan,a=stable,n=beowulf,l=Devuan,c=main,b=amd64
     origin deb.devuan.org
Pinned packages:
groucho@devuan:~$ 
groucho@devuan:~$ apt policy piper
piper:
  Installed: (none)
  Candidate: 0.4-1~bpo10+1
  Version table:
     0.4-1~bpo10+1 100
        100 http://deb.devuan.org/merged beowulf-backports/main amd64 Packages
        100 http://deb.devuan.org/merged beowulf-backports/main i386 Packages
groucho@devuan:~$ 
groucho@devuan:~$ apt install -s piper/stable-backports
NOTE: This is only a simulation!
      apt needs root privileges for real execution.
      Keep also in mind that locking is deactivated,
      so don't depend on the relevance to the real current situation!
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Selected version '0.4-1~bpo10+1' (Devuan Backports:3.0.0/stable-backports [all]) for 'piper'
Selected version '0.15-1~bpo10+1' (Devuan Backports:3.0.0/stable-backports [amd64]) for 'ratbagd' because of 'piper'
The following additional packages will be installed:
  gir1.2-rsvg-2.0 python3-evdev ratbagd
Suggested packages:
  python-evdev-doc
The following NEW packages will be installed:
  gir1.2-rsvg-2.0 piper python3-evdev ratbagd
0 upgraded, 4 newly installed, 0 to remove and 0 not upgraded.
Inst gir1.2-rsvg-2.0 (2.44.10-2.1 Devuan:3.0/stable [amd64])
Inst python3-evdev (1.1.2+dfsg-1+b10 Devuan:3.0/stable [amd64])
Inst ratbagd (0.15-1~bpo10+1 Devuan Backports:3.0.0/stable-backports [amd64])
Inst piper (0.4-1~bpo10+1 Devuan Backports:3.0.0/stable-backports [all])
Conf gir1.2-rsvg-2.0 (2.44.10-2.1 Devuan:3.0/stable [amd64])
Conf python3-evdev (1.1.2+dfsg-1+b10 Devuan:3.0/stable [amd64])
Conf ratbagd (0.15-1~bpo10+1 Devuan Backports:3.0.0/stable-backports [amd64])
Conf piper (0.4-1~bpo10+1 Devuan Backports:3.0.0/stable-backports [all])
groucho@devuan:~$ 

Thanks for your input.

Best,

A.

Offline

#6 2021-04-29 19:41:28

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 1,597  
Website

Re: [SOLVED] Piper and ratbag

Yeah, you just need to target backports explicitly so that the correct dependency is selected:

# apt install piper/beowulf-backports

FWIW I think aptitude would have probably figured it out for you :-)


Black Lives Matter

Offline

#7 2021-04-29 20:15:00

Altoid
Member
Registered: 2017-05-07
Posts: 761  

Re: [SOLVED] Piper and ratbag

Hello:

Head_on_a_Stick wrote:

... just need to target backports explicitly so that the correct dependency is selected:

# apt install piper/beowulf-backports

I see ...
I would have though that apt would have done it.
It is quite clear that apt knows that the dependency is ratbagd >=0.13

Head_on_a_Stick wrote:

... aptitude would have probably figured it out for you

I use aptitude for its why and why-not.
And synaptic for its search and residual functions.

But I like apt best.
Thanks a lot for making sense of this for me.

Best,

A.

Edit:
Unfortunately, Piper (piper/stable-backports 0.4-1~bpo10+1) does not support the Logitech M575.
It's really up to ratbagd (0.15-1~bpo10+1), as it seems that Piper is the front end.

Notwithstanding, parameters (in Xfce) can be adjusted via Applications -> Settings -> Mouse and Touchpad.
It recognises the device as Logitech ERGO M575 without any user intervention. 

.

Last edited by Altoid (2021-04-30 22:22:50)

Offline

Board footer